DRM_PROPERTY_CREATE(9)

NAME
drm_property_create - create a new property type

SYNOPSIS

struct drm_property * drm_property_create(struct drm_device * dev, int flags, const char * name, int num_values);

ARGUMENTS

dev
    drm device

flags
    flags specifying the property type

name
    name of the property

num_values
    number of pre-defined values

DESCRIPTION

This creates a new generic drm property which can then be attached to a drm object with drm_object_attach_property. The returned property object must be freed with drm_property_destroy.

Note that the DRM core keeps a per-device list of properties and that, if drm_mode_config_cleanup is called, it will destroy all properties created by the driver.

RETURNS

A pointer to the newly created property on success, NULL on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT